# POST Verify collateral removal

{% openapi src="/files/9n3oMf5j9lHPVLo2Ywuu" path="/v1/lend/verify-collateral-removal" method="post" %}
[nativeLend.json](https://2236132028-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fta4g2TwHaleDMaDKVgwR%2Fuploads%2FtioKKepUoaP6j2ypXoqA%2FnativeLend.json?alt=media\&token=8d90ab11-f17c-4a71-8b31-696c2143cc2e)
{% endopenapi %}

#### Success response

```json
{
    "id": "673a69b0-06db-4309-b0f1-6582435b80ca",
    "nonce": "6885024828728157",
    "recipient": "0x9B85B4A413Efe69684290816a3E814B4aA1EFf63",
    "chain": "base",
    "tokens": [
        {
            "tokenAddress": "0x5d55432c6aAeDB4D34523B2744e959F03aEffFE3",
            "amount": "10000000000000000000"
        }
    ],
    "totalCollateralRemovedUsd": 9.778953854000001e-12,
    "trader": "0x9B85B4A413Efe69684290816a3E814B4aA1EFf63",
    "requestAt": "2024-01-31T09:17:41.847Z",
    "enableAt": "2024-01-31T09:22:41.847Z",
    "expiresAt": "2024-01-31T09:23:41.847Z",
    "type": "collateralRemoval"
}
```

#### Error responses

```json
// Invalid token
{
    "statusCode": 400,
    "message": "Collateral does not exist for token 0x12345",
    "error": "Bad Request"
}

// Insufficient collateral
{
    "statusCode": 400,
    "message": "Collateral amount is not enough for token 0x5d55432c6aAeDB4D34523B2744e959F03aEffFE3",
    "error": "Bad Request"
}

// Invalid mm
{
    "statusCode": 404,
    "message": "MM Settings not found",
    "error": "Not Found"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.native.org/native-dev/build-with-native/market-makers/native-market-makers-api/post-verify-collateral-removal.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
